Bug 63458 - When create a new Test Plan, please add one Thread Group and Listener View Result Tree
Summary: When create a new Test Plan, please add one Thread Group and Listener View Re...
Status: RESOLVED FIXED
Alias: None
Product: JMeter
Classification: Unclassified
Component: Main (show other bugs)
Version: 5.1.1
Hardware: All All
: P2 enhancement (vote)
Target Milestone: JMETER_5.3.0
Assignee: JMeter issues mailing list
URL:
Keywords: FixedInTrunk
Depends on:
Blocks:
 
Reported: 2019-05-22 15:14 UTC by Sebastian Boga
Modified: 2020-03-15 14:32 UTC (History)
1 user (show)



Attachments
JMeter new script (46.22 KB, image/png)
2019-05-22 15:14 UTC, Sebastian Boga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sebastian Boga 2019-05-22 15:14:07 UTC
Created attachment 36595 [details]
JMeter new script

Everytime a tester starts a new JMeter script, s/he need to ADD a Thread Group and a listener View Results Tree.

1) When you hit New button it would be nice to have them already added under Test Plan.
2) When you open JMeter in GUI mode from start.bat file, this would be nice to be prepopulated: Thread Group and View Result Tree

Can this be implemented?
Comment 1 Felix Schumacher 2019-05-23 20:30:42 UTC
This is interesting, but there might be different ideas of an ideal setup for different users. Probably best to discuss this on the users or developers mailing list.

It might be possible to combine our template system with your enhancement request. That way every user could setup their environment as the like best. The problem here would be, that we would have to think of a good way to customize the startup template. Would a property be enough? Should it be possible to configure it by gui?
Comment 2 Sebastian Boga 2019-12-27 11:51:40 UTC
I was looking at the Templates that we already have in version 5.2.1

Can we have a simple Template and name it Startup Template that will contain one Thread Group with 1 thread, 1 sec ramp-up, 1 loop count (as we have it for JDBC Load Test template) and just one listener: View Results Tree  ?
Comment 3 Sebastian Boga 2020-01-03 09:39:44 UTC
I learned how to create a Template in JMeter meanwhile.
I'll push the changes to the main code, maybe somebody will approve it and the community to enjoy having this template
Comment 4 Sebastian Boga 2020-01-03 10:11:30 UTC
Here is the PR
https://github.com/apache/jmeter/pull/551
Comment 5 Felix Schumacher 2020-01-03 12:38:19 UTC
Thanks for the PR. I have merged it with minor editings.

Could you test the next nightly, if it still works light you intended it to?
If it works for you, feel free to close this report.
Comment 6 Felix Schumacher 2020-01-03 12:39:50 UTC
commit f08edb2c7cb972c185bfa177c53e46677b9e8dae
AuthorDate: Fri Jan 3 12:04:26 2020 +0200

    Add new template "Functional Testing Test Plan [01]"
    
    Contributed by sebastian.boga at endava.com
    Bugzilla-ID: 63458
    Closes #551
---
 bin/templates/functional-testing-01-test-plan.jmx | 86 +++++++++++++++++++++++
 bin/templates/templates.xml                       | 16 +++++
 xdocs/changes.xml                                 |  2 +
 3 files changed, 104 insertions(+)
Comment 7 Sebastian Boga 2020-01-03 15:23:47 UTC
I just tested the 5.3-SNAPSHOT from here: https://builds.apache.org/job/JMeter-trunk/7587/ and it works.
Thank you very much.
Marking it as RESOLVED FIXED